Bug 595269 - Review Request: lobster-fonts - Hand written font with various ligatures for better connecting of letters
Summary: Review Request: lobster-fonts - Hand written font with various ligatures for ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 08:47 UTC by Parag Nemade
Modified: 2010-07-01 06:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 06:36:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dueno: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-05-24 08:47:10 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/lobster-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/lobster-fonts-1.3-1.fc13.src.rpm
Description: 
Hand written font with various ligatures for better connecting of letters

Comment 1 Daiki Ueno 2010-05-26 01:10:20 UTC
I'll take this too :)

1. generic font-family in the fontconfig.conf is sans-serif

It looks that this font is in cursive family:
http://www.w3.org/TR/css3-fonts/#cursive
while the fontconfig.conf marks it as sans-serif.

2. the fontconfig.conf prefix is 65

Since this font seems to contain only LGC glyphs (and some symbols), I think it
should be 61-64:
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Choosing_a_ruleset_numeral_prefix

3. locale-specific override without "lang" test

IIUC, it works as if an inverted "Simple priority list" rule applies:
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Locale-specific_overrides

2 & 3 are the same issues as of #595268.

Comment 2 Parag Nemade 2010-05-26 03:35:01 UTC
Updated package but not bumped the release.
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/lobster-fonts.spec
SRPM URL:
http://paragn.fedorapeople.org/fedora-work/SRPMS/lobster-fonts-1.3-1.fc13.src.rpm

Comment 3 Daiki Ueno 2010-05-26 05:12:37 UTC
Looks ok.

Comment 4 Parag Nemade 2010-05-26 09:52:16 UTC
Thank you for the review Daiki.

New Package CVS Request
=======================
Package Name: lobster-fonts 
Short Description: Hand written font with various ligatures for better connecting of letters  
Owners: pnemade
Branches: F-13 
InitialCC: fonts-sig i18n-team

Comment 5 Dennis Gilmore 2010-05-27 22:44:28 UTC
CVS Done

Comment 6 Fedora Update System 2010-06-01 05:35:13 UTC
lobster-fonts-1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lobster-fonts-1.3-1.fc13

Comment 7 Fedora Update System 2010-06-01 18:20:17 UTC
lobster-fonts-1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lobster-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lobster-fonts-1.3-1.fc13


Note You need to log in before you can comment on or make changes to this bug.